/*Hero Start*/
.hero-slide {
  position: relative;
  aspect-ratio: 19.2/7.83;
}

.hero-slide .main-container {
  padding-top: 7.875rem;
}

.hero-slide-image {
  position: absolute;
  top: 0;
  left: 0;
}

.hero-slide-title {
  font-size: 5rem;
  line-height: 1.2;
  max-width: 53.8125rem;
}

.hero-slide-title-middle {
  font-size: 3.125rem;
}

.hero-slide-subtitle {
  font-size: 1.875rem;
  color: rgba(var(--color-blue-rgb-1), 0.7);
  margin-top: 1.875rem;
  max-width: 39.375rem;
}

.hero-slide-buttons {
  gap: 0.9375rem 1.5rem;
  margin-top: 5.125rem;
}

.btn-hero-slide {
  border: 0.0625rem solid var(--color-blue-1);
}

.btn-hero-slide-light {
  background: transparent;
  color: var(--color-blue-1);
  border: 0.0625rem solid currentColor;
}

.hero-slider-nav {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, calc(-50% - 5.625rem));
  z-index: 1;
  width: 115rem;
  pointer-events: none;
}

.hero-slider-button {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 3.125rem;
  height: 3.125rem;
  pointer-events: auto;
}

.hero-slider-button svg {
  width: 1.4375rem;
  height: auto;
}

/*Media*/
@media (max-width: 991px) {
  .hero-slide {
    aspect-ratio: 7.68/3;
  }
  .hero-slide .main-container {
    padding-left: 4.5rem;
    padding-top: 3.125rem;
  }
  .hero-slide-title {
    font-size: 3.125rem;
  }
  .hero-slide-title-middle {
    font-size: 1.375rem;
  }
  .hero-slide-subtitle {
    font-size: 1rem;
    margin-top: 1.5625rem;
    max-width: 13.8125rem;
  }
  .hero-slide-buttons {
    margin-top: 2.1875rem;
  }
  .btn-hero-slide {
    font-size: 1rem;
  }
  .hero-slider-nav {
    transform: translate(-50%, -50%);
    width: calc(100% - 1.25rem);
  }
  .hero-slider-button {
    width: 2.5rem;
    height: 2.5rem;
  }
  .hero-slider-button svg {
    width: 1.125rem;
  }
}
@media (max-width: 600px) {
  .hero-slide .main-container {
    padding-left: 1.25rem;
    padding-top: 1.75rem;
  }
  .hero-slide.layout-2 .main-container {
    display: flex;
    flex-direction: column;
    padding-block: 1.25rem;
  }
  .hero-slide {
    aspect-ratio: 3.75/2.9;
  }
  .hero-slide-title {
    font-size: 1.75rem;
  }
  .hero-slide-title-middle {
    font-size: 1.125rem;
  }
  .hero-slide-subtitle {
    flex-grow: 1;
    font-size: 0.875rem;
    margin-top: 0.5rem;
    max-width: 100%;
  }
  .hero-slide-buttons {
    gap: 0.75rem;
  }
  .btn-hero-slide {
    font-size: 0.875rem;
    padding-inline: 1.375rem;
  }
  .hero-slider-nav {
    display: none;
  }
}
/*Hero End*/
/*Product Categories Start*/
.product-categories {
  padding-bottom: var(--section-padding-block);
}

.product-categories .main-container {
  position: relative;
  z-index: 1;
  margin-top: -11.25rem;
  padding-top: var(--section-padding-block);
}

.product-categories-wrapper {
  grid-template-columns: repeat(4, 1fr);
  gap: 1.25rem;
  margin-top: 1.875rem;
}

.product-categorys-item {
  --categorys-icon-size: 4.375rem;
  grid-template-columns: 1fr var(--categorys-icon-size);
  gap: 0.625rem;
  padding: 1.25rem 1.875rem;
  background: var(--color-white-1);
}

.product-categorys-item-name {
  font-size: 1.375rem;
  line-height: 1.05;
  max-width: 11.5rem;
}

.product-categorys-item-image img {
  width: var(--categorys-icon-size);
  height: var(--categorys-icon-size);
}

/*Media*/
@media (max-width: 991px) {
  .product-categories .main-container {
    margin-top: 0;
  }
  .product-categories-wrapper {
    grid-template-columns: repeat(3, 1fr);
  }
  .product-categorys-item {
    --categorys-icon-size: 3.125rem;
    padding: 0.9375rem 1.25rem;
  }
  .product-categorys-item-name {
    font-size: 1rem;
  }
}
@media (max-width: 600px) {
  .product-categories-wrapper {
    grid-template-columns: repeat(2, 1fr);
    gap: 0.625rem;
    margin-top: 1rem;
  }
  .product-categorys-item {
    --categorys-icon-size: 1.875rem;
    padding: 0.4375rem 0.625rem;
    border-radius: 0.625rem;
  }
  .product-categorys-item-name {
    font-size: 0.6875rem;
  }
}
/*Product Categories End*/
/*Info Block Start*/
.info-block {
  padding-block: var(--section-padding-block);
  background: var(--color-blue-4);
}

.info-block-slide {
  --info-block-icon-size: 5rem;
  width: 100%;
}

.info-block-slide-inner {
  grid-template-columns: 1fr;
  gap: 1.5625rem 1.25rem;
}

.info-block-slide-image {
  width: var(--info-block-icon-size);
  height: var(--info-block-icon-size);
}

.info-block-slide-title {
  font-size: 1.625rem;
  line-height: 1;
  color: var(--color-black-2);
}

.info-block-slide-description {
  font-size: 1.25rem;
  line-height: 1.2;
  color: var(--color-black-2);
  margin-top: 0.625rem;
}

/*Media*/
@media (min-width: 601px) {
  .info-block-slider .swiper-wrapper {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 2.5rem;
  }
  .info-block .swiper-pagination {
    display: none;
  }
}
@media (min-width: 992px) {
  .info-block-slider .swiper-wrapper {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 3.125rem;
  }
}
@media (max-width: 991px) {
  .info-block-slide {
    --info-block-icon-size: 4.375rem;
  }
  .info-block-slide-inner {
    grid-template-columns: var(--info-block-icon-size) 1fr;
    gap: 1.25rem;
  }
  .info-block-slide-title {
    font-size: 1.125rem;
    line-height: 1.33;
  }
  .info-block-slide-description {
    font-size: 1rem;
    line-height: 1.13;
  }
}
@media (max-width: 600px) {
  .info-block-slide {
    --info-block-icon-size: 3.75rem;
  }
  .info-block-slide-inner {
    gap: 0.5rem;
    width: 17.25rem;
    margin-inline: auto;
  }
  .info-block-slide-title {
    font-size: 0.875rem;
  }
  .info-block-slide-description {
    font-size: 0.75rem;
    margin-top: 0.3125rem;
  }
  .info-block .swiper-pagination {
    position: static;
    margin-top: 1.125rem;
  }
  .info-block .swiper-pagination-bullet {
    width: 0.5rem;
    height: 0.5rem;
    background: var(--color-white);
    opacity: 1;
    margin-inline: 0.1875rem;
    border-radius: 0.375rem;
    transition: all 0.2s ease;
  }
  .info-block .swiper-pagination-bullet-active {
    width: 1.375rem;
    background: var(--color-blue-2);
  }
}
/*Info Block End*/
/*Posts Block Start*/
.posts-block {
  padding-block: var(--section-padding-block);
}

.posts-block-bg {
  position: absolute;
  top: 0;
  left: 0;
}

.btn-posts-block {
  padding: 0.5rem 1.5rem;
  background: transparent;
  color: var(--color-blue-1);
  border: 0.0625rem solid rgba(var(--color-blue-rgb-1), 0.4);
}

.btn-posts-block:hover {
  background: rgba(var(--color-blue-rgb-1), 0.2);
}

.posts-block-wrapper {
  grid-template-columns: repeat(2, 1fr);
  gap: 2.5rem;
  margin-top: 1.875rem;
}

.posts-block-item-image {
  aspect-ratio: 7.8/3.6;
}

.posts-block-item-txt {
  padding: 1.25rem 1.5625rem 1.5625rem;
}

.posts-block-item-name {
  width: fit-content;
  font-size: 1.5rem;
  line-height: 1.15;
}

.posts-block-item-date {
  width: fit-content;
  font-size: 1rem;
  color: rgba(var(--color-black-rgb-1), 0.4);
  margin-top: 0.3125rem;
}

.posts-block-head-action-mobile {
  display: none;
}

/*Media*/
@media (min-width: 992px) and (max-width: 1440px) {
  .posts-block-item-date {
    font-size: 1.125rem;
  }
}
@media (max-width: 991px) {
  .posts-block-wrapper {
    gap: 1.25rem;
  }
  .posts-block-item-txt {
    padding-inline: 1.25rem;
  }
  .posts-block-item-name {
    font-size: 1.25rem;
  }
  .posts-block-item-date {
    font-size: 0.875rem;
  }
}
@media (max-width: 600px) {
  .posts-block-head-action {
    display: none;
  }
  .posts-block-wrapper {
    grid-template-columns: 1fr;
    gap: 0.9375rem;
    margin-top: 1rem;
  }
  .posts-block-item-name {
    font-size: 1.125rem;
  }
  .posts-block-head-action-mobile {
    display: block;
    width: fit-content;
    margin-top: 1.25rem;
  }
}
/*Posts Block End*/
/*About Block Start*/
.about-block {
  padding-block: var(--section-padding-block);
}

.about-block-txt *:first-child {
  margin-top: 0;
}

.about-block-txt :where(p, li) {
  font-size: 1.125rem;
  line-height: 1.33;
  margin-top: 1.25rem;
}

.about-block-txt h2 {
  font-size: var(--font-size-title);
  font-weight: 700;
  margin-block: 1.875rem;
}

.about-block-txt :where(h3, h4, h5, h6) {
  font-size: 1.5rem;
  font-weight: 700;
  margin-block: 1.875rem;
}

.about-block-txt ul {
  margin-top: 1.25rem;
  padding-left: 1.5rem;
}

.about-block-txt li {
  margin-top: 0.75rem;
}

.about-block-txt ul li {
  list-style-type: disc;
}

.about-block-description {
  display: block;
  max-height: 100%;
  margin-top: 1.875rem;
}

.about-block-description.hide {
  --line-clamp: 6;
  position: relative;
  display: -webkit-box;
  -webkit-line-clamp: var(--line-clamp);
  -webkit-box-orient: vertical;
  max-height: 12.5rem;
}

.about-block-description.hide:after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  height: 50%;
  background: -webkit-gradient(linear, left top, left bottom, from(rgba(255, 255, 255, 0)), to(rgba(255, 255, 255, 0.8)));
  background: -o-linear-gradient(top, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.8) 100%);
  background: linear-gradient(to bottom, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.9) 100%);
}

.about-block-description.hide p:nth-of-type(1) {
  margin-top: 0;
}

.about-block-btn-container {
  font-size: 1.25rem;
  margin-top: 1.5rem;
}

.about-block-btn-more {
  display: none;
  gap: 0.625rem;
  width: fit-content;
  transition: var(--transition-main);
}

.about-block-btn-more:hover {
  color: var(--btn-hover);
}

.about-block-btn-more .btn-icon {
  margin-top: 0.1875rem;
}

.about-block-btn-more svg {
  width: 1.1875rem;
  height: 0.6875rem;
}

.about-block-btn-more.expanded .btn-icon {
  margin-top: 0;
  margin-bottom: 0.0625rem;
  transform: rotate(-180deg);
}

/*Media*/
@media (min-width: 992px) and (max-width: 1440px) {
  .about-block-txt :where(p, li) {
    font-size: 1.25rem;
  }
  .about-block-txt :where(h3, h4, h5, h6) {
    font-size: 1.625rem;
  }
  .about-block-description.hide {
    max-height: 13.375rem;
  }
  .about-block-btn-container {
    font-size: 1.375rem;
  }
}
@media (max-width: 991px) {
  .about-block-txt h2 {
    margin-block: 1.5rem;
  }
  .about-block-description {
    margin-top: 1.25rem;
  }
  .about-block-description.hide {
    --line-clamp: 8;
  }
  .about-block-txt :where(p, li) {
    font-size: 1rem;
    margin-top: 1rem;
  }
  .about-block-txt :where(h3, h4, h5, h6) {
    font-size: 1.375rem;
    margin-block: 1.25rem;
  }
  .about-block-txt ul {
    margin-top: 1.125rem;
  }
  .about-block-btn-container {
    font-size: 1.125rem;
  }
  .about-block-btn-more svg {
    width: 1rem;
  }
}
@media (max-width: 600px) {
  .about-block-txt h2 {
    margin-block: 1rem;
  }
  .about-block-description {
    margin-top: 1rem;
  }
  .about-block-description.hide {
    --line-clamp: 9;
  }
  .about-block-txt :where(p, li) {
    font-size: 0.875rem;
    margin-top: 0.75rem;
  }
  .about-block-txt :where(h3, h4, h5, h6) {
    font-size: 1.125rem;
    margin-block: 1rem;
  }
  .about-block-txt ul {
    margin-top: 0.75rem;
  }
  .about-block-btn-container {
    font-size: 1rem;
    margin-top: 1.25rem;
  }
  .about-block-btn-more svg {
    width: 0.875rem;
  }
}
/*About Block End*/